view mkinstalldirs @ 56512:d341e83af4f2

Removed the various "echo." lines from lisp\makefile.w32-in and nt\makefile.w32-in. They caused mingw32-make.exe bootstrap to fail with the following error if cmd.exe was being used as the shell: "process_begin: CreateProcess((null), echo., ...) failed." I replaced the "@echo." lines in nt\makefile.w32-in with "@echo ." This writes a . to the screen but that is far more desirable than make bootstrap failing. I replaced the "echo. ..." line in lisp\makefile.w32-in with "echo ;;; ...". This writes an extra comment line to loaddefs.el. Again this is far more desirable than make bootstrap failing. NOTE: I am using cmd.exe as my shell when building Emacs with MinGW instead of the sh.exe that comes with msys because when I use sh.exe as my shell, loaddefs.el does not get properly generated and I get various auto load errors.
author Ben Key <bkey1@tampabay.rr.com>
date Sat, 24 Jul 2004 04:52:27 +0000
parents 746c40973d25
children 730155197b96 eb7e8d483840
line wrap: on
line source

#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here